/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
 
package org.apache.muse.core.platform.mini;

import java.io.File;
import java.net.URI;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;

import org.apache.muse.core.AbstractEnvironment;
import org.apache.muse.ws.addressing.EndpointReference;

/**
 * 
 * @author Dan Jemiolo (danj)
 *
 */

public class MiniEnvironment extends AbstractEnvironment
{
    private File _realDirectory = null;
    
    public MiniEnvironment(HttpServletRequest httpRequest, ServletContext servletContext)
    {
        String realPath = servletContext.getRealPath("/WEB-INF/classes");
        _realDirectory = new File(realPath);
        
        setDefaultURI(httpRequest.getRequestURL().toString());
    }
    
    public EndpointReference getDeploymentEPR()
    {
        String defaultString = getDefaultURI();
        URI defaultURI = URI.create(defaultString);
        return new EndpointReference(defaultURI);
    }

    public File getRealDirectory()
    {
        return _realDirectory;
    }
}
