/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.tools.generator;


/**
 * 
 * Wsdl2JavaConstants is constants for Wsdl2Java. Here 
 * we keep the various command line flags that are available.
 *
 * @author Andrew Eberbach (aeberbac)
 *
 */

public interface Wsdl2JavaConstants {
	
	String ANALYZER_FLAG = "-analyzer";
	
	String SYNTHESIZER_FLAG = "-synthesizer";
	
	String PROJECTIZER_FLAG = "-projectizer";

	String DESCRIPTOR_FLAG = "-descriptor";

	String WSDL_DEFINITION_FLAG = "-wsdl";

	String BASE_DESCRIPTOR_FLAG = "-dump";

	String OVERWRITE_FLAG = "-overwrite";
	
	String HELP_FLAG = "-help";
	
	String HELP_ADVANCED_FLAG = "-helpmore";
	
	String VERBOSE_FLAG = "-verbose";
	
	String QUIET_FLAG = "-quiet";
	
	String OSGI_FLAG = "-osgi";
	
	String MINI_FLAG = "-mini";
    
    String AXIS2_FLAG = "-axis2";
	
	String PROXY_FLAG = "-proxy";
	
	String MUSE_BASE_DESCRIPTOR = "/resources/common/muse.xml";	
}
