/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.tools.generator.projectizer;

import org.apache.muse.tools.generator.util.Configurable;
import org.apache.muse.tools.generator.util.ConfigurationData;

/**
 * 
 * The third phase of code generation that takes the data from
 * previous phases and creates a platform-specific layout on disk.
 * 
 * For example, this phase creates all of the files and descriptors necessary
 * for an Axis2 J2EE project. 
 *
 * @author Andrew Eberbach (aeberbac)
 */
public interface Projectizer extends Configurable {	
	void projectize(ConfigurationData data) throws Exception;
}
