/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.tools.generator.util;

/**
 * Constants used by <code>DefinitionInfo</code>. There is
 * some duplication URIs which should go away next iteration 
 * (these should just be referenced from the Muse constant classses).
 * 
 * @author Andrew Eberbach (aeberbac)
 */
public interface DefinitionConstants {

	String SOAP_WSDL_URI = "http://schemas.xmlsoap.org/wsdl/soap/";

	String HTTP_SOAP_URI = "http://schemas.xmlsoap.org/soap/http";
	
	String ENCODING_URI = "http://schemas.xmlsoap.org/soap/encoding/";
	
	String DOCUMENT_STYLE = "document";

	String LITERAL_USE = "literal";

	String PREFIX = "pfx";

	String RESOURCE_PROPERTIES = "ResourceProperties";
	
	String BINDING = "Binding";
	
	String PORT_TYPE = "PortType";
	
	String PORT = "Port";
	
	String SERVICE = "Service";
}
