/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.tools.inspector;

import javax.xml.namespace.QName;

/**
 * 
 * @author Dan Jemiolo (danj)
 *
 */
public class JavaMethod
{
    private String _actionURI = null;
    
    private QName _name = null;
    
    private QName[] _parameterSchemaTypes = null;
    
    private QName[] _parameterTypeNames = null;
    
    private Class[] _parameterTypes = null;
    
    private QName _returnName = null;
    
    private QName _returnSchemaType = null;

	private Class _returnType = null;
    
    public String getActionURI() {
    	return _actionURI;
    }
    
    public QName getName()
    {
        return _name;
    }
    
    public QName[] getParameterSchemaTypes()
    {
        return _parameterSchemaTypes;
    }
    
    public QName[] getParameterTypeNames()
    {
        return _parameterTypeNames;
    }
    
    public Class[] getParameterTypes()
    {
        return _parameterTypes;
    }
    
    public QName getReturnName()
    {
        return _returnName;
    }
    
    public QName getReturnSchemaType()
    {
        return _returnSchemaType;
    }
    
    public Class getReturnType()
    {
        return _returnType;
    }
    
    public void setActionURI(String actionURI) {
		_actionURI = actionURI;
	}
    
    public void setName(QName name)
    {
        _name = name;
    }
    
    public void setParameterSchemaTypes(QName[] parameterSchemaTypes)
    {
        _parameterSchemaTypes = parameterSchemaTypes;
    }
    
    public void setParameterTypeNames(QName[] parameterTypeNames)
    {
        _parameterTypeNames = parameterTypeNames;
    }
    
    public void setParameterTypes(Class[] parameterTypes)
    {
        _parameterTypes = parameterTypes;
    }
    
    public void setReturnName(QName returnName)
    {
        _returnName = returnName;
    }

    public void setReturnSchemaType(QName returnSchemaType)
    {
        _returnSchemaType = returnSchemaType;
    }
    
	public void setReturnType(Class returnType)
    {
        _returnType = returnType;
    }	
}
