/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.resource.basefaults;

import org.apache.muse.ws.resource.faults.ResourceUnavailableFault;

/**
 * 
 * WsbfUtils is a set of convenience methods related to WS-BaseFaults v1.2.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public class WsbfUtils
{
    /**
     * 
     * @param error
     * 
     * @return The same Throwable recast as a BaseFault, <b>or</b> - if the 
     *         Throwable was not an instance of BaseFault - an instance of 
     *         ResourceUnavailableFault with the argument as the cause.
     *
     */
    public static BaseFault convertToFault(Throwable error)
    {
        if (error instanceof BaseFault)
            return (BaseFault)error;
        
        return new ResourceUnavailableFault(error);
    }
}
