/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
 
package org.apache.muse.ws.resource.sg;

import org.apache.muse.core.Persistence;
import org.apache.muse.core.ResourceManagerListener;
import org.apache.muse.ws.resource.WsResource;

/**
 * 
 * ServiceGroupPersistence is an extension of the basic 
 * {@linkplain Persistence Persistence API} to provide a link to the 
 * {@linkplain ServiceGroup ServiceGroup API} and resource lifecycle events. 
 * Implementations of the ServiceGroup capability should use instances of 
 * this interface for persistence of service group state.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public interface ServiceGroupPersistence extends Persistence, ResourceManagerListener
{
    WsResource getServiceGroup();
    
    void setServiceGroup(WsResource serviceGroup);
}
