package org.apache.muse.complete;

import java.util.Hashtable;

import org.apache.muse.core.platform.osgi.util.OSGiReflectUtilHelper;
import org.apache.muse.util.osgi.ResourceManagementImplementation;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;


public class Activator implements BundleActivator {
	
	private org.apache.muse.core.platform.osgi.Activator delegateActivator;
	private MuseCompleteContribution museService;


	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		delegateActivator = new org.apache.muse.core.platform.osgi.Activator();
		delegateActivator.start(context);
		
		//register contribution service
		museService = new MuseCompleteContribution(context.getBundle());
		Hashtable props = new Hashtable();
		props.put(ResourceManagementImplementation.IMPLEMENTATION_NAME, museService.getImplementationName());
		context.registerService(new String[] {"org.apache.muse.util.osgi.ResourceManagementImplementation"}, museService, props);		
	}

	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		delegateActivator.stop(context);
	}

}
